Subject: Re: bug#59183: 29.0.50; emacs_abort () at sysdep.c:2313

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Nov 2022 18:54:46 -0500

> Stefan, I think we must lift the restriction of "only one itree
> iteration at a time", otherwise we will keep bumping into situations
> like this one.

I just pushed to `master` a new code for ITREE_FOREACH which
is reentrant.  It should fix those problems, and hopefully won't
introduce new ones.

Please confirm,

        Stefan